Skip to main content
`Ctrl`+`K`

# NEPNLEIGSSingularitiesFn

A prototype of a function that would be passed to `NEPNLEIGSSetSingularitiesFunction()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode NEPNLEIGSSingularitiesFn(NEP nep,PetscInt *maxnp,PetscScalar *xi,void *ctx);

## Calling Sequence

- nep - the nonlinear eigensolver context

- maxnp - on input the number of requested points in the discretization (can be modified)

- xi - computed values of the discretization

- ctx - optional context, as set by `NEPNLEIGSSetSingularitiesFunction()`

## Note

The user-defined function can set a smaller value of `maxnp` if necessary. It is wrong to return a larger value.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPNLEIGSSetSingularitiesFunction()`

## Level

intermediate

## Location

include/slepcnep.h

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages